rte_crypto_ml_kem_keygen_op(3)

NAME
rte_crypto_ml_kem_keygen_op

SYNOPSIS

#include <rte_crypto_asym.h>

  Data Fields

rte_crypto_param d
rte_crypto_param z
rte_crypto_param ek
rte_crypto_param dk

Detailed Description

PQC ML-KEM KEYGEN op

Parameters for PQC ML-KEM key generation operation

Definition at line 813 of file rte_crypto_asym.h.

Field Documentation

  rte_crypto_param d
The seed d value (of 32 bytes in length) to generate key pair.

Definition at line 814 of file rte_crypto_asym.h.

  rte_crypto_param z
The seed z value (of 32 bytes in length) to generate key pair.

Definition at line 817 of file rte_crypto_asym.h.

  rte_crypto_param ek
Pointer to output data

•   The computed encapsulation key.

•   Refer rte_crypto_ml_kem_pubkey_size for size of buffer.

Definition at line 820 of file rte_crypto_asym.h.

  rte_crypto_param dk
Pointer to output data

•   The computed decapsulation key.

•   Refer rte_crypto_ml_kem_privkey_size for size of buffer.

Definition at line 827 of file rte_crypto_asym.h.

Author

Generated automatically by Doxygen for DPDK from the source code.